<?php

use Akeneo\Test\Common\Path;

/**
 * App kernel for the integration tests.
 *
 * @author    Alexandre Hocquard <alexandre.hocquard@akeneo.com>
 * @copyright 2017 Akeneo SAS (http://www.akeneo.com)
 * @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class AppKernelTest extends AppKernel
{
    /**
     * {@inheritdoc}
     */
    protected function registerProjectBundles(): array
    {
        return [
            new Acme\Bundle\AppBundle\AcmeAppBundle(),
            new Akeneo\Test\IntegrationTestsBundle\AkeneoIntegrationTestsBundle()
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function getCacheDir(): string
    {
        return new Path('var', 'cache', 'test_kernel');
    }

    /**
     * {@inheritdoc}
     */
    public function getLogDir(): string
    {
        return new Path('var', 'logs');
    }

    /**
     * {@inheritdoc}
     */
    public function getName(): string
    {
        if (null === $this->name) {
            $this->name =  parent::getName() . '_test';
        }

        return $this->name;
    }
}
