@javascript
Feature: Validate editing common text attributes of multiple products
  In order to update multiple products with valid data
  As a product manager
  I need values to be validated when editing common attributes of products

  # what's tested here?
  # -----------------------------|-------------|---------------|-------------
  # TYPE                         | VALID VALID | INVALID VALUE | NULL VALUE
  # -----------------------------|-------------|---------------|-------------
  # pim_catalog_boolean          | done        | N/A           | N/A
  # pim_catalog_date             | done        | done          | done
  # pim_catalog_file             | done        | done          | done
  # pim_catalog_identifier       | N/A         | N/A           | N/A
  # pim_catalog_image            | done        | done          | done
  # pim_catalog_metric           | done        | done          | done
  # pim_catalog_multiselect      | done        | N/A           | done
  # pim_catalog_number           | done        | done          | done
  # pim_catalog_price_collection | done        | done          | done
  # pim_catalog_simpleselect     | done        | N/A           | done
  # pim_catalog_text             | done        | done          | done
  # pim_catalog_textarea         | done        | done          | done

  Background:
    Given a "footwear" catalog configuration
    And the following attributes:
      | code      | label-en_US | type                 | allowed_extensions | date_min   | max_characters | group |
      | available | Available   | pim_catalog_boolean  |                    |            |                | other |
      | date      | Date        | pim_catalog_date     |                    | 2014-01-01 |                | other |
      | file      | File        | pim_catalog_file     | txt                |            |                | other |
      | info      | Info        | pim_catalog_textarea |                    |            | 25             | other |
    And the following family:
      | code          | attributes                                                                                                  |
      | master_family | sku,side_view,length,weather_conditions,number_in_stock,price,manufacturer,comment,available,date,file,info |
    And the following products:
      | sku      | family        |
      | boots    | master_family |
      | sneakers | master_family |
      | sandals  | master_family |
    And I am logged in as "Julia"
    And I am on the products grid

  Scenario: Successfully mass edit a textarea attribute
    Given I select rows boots and sneakers
    And I press the "Bulk actions" button
    And I choose the "Edit attributes values" operation
    And I display the Info attribute
    And I change the "Info" to "Very useful information"
    And I confirm mass edit
    And I wait for the "edit_common_attributes" job to finish
    Then attribute Info of "boots" should be "Very useful information"
    And attribute Info of "sneakers" should be "Very useful information"
    When I am on the products grid
    And I select rows boots, sandals and sneakers
    And I press the "Bulk actions" button
    And I choose the "Edit attributes values" operation
    And I display the Info attribute
    And I confirm mass edit
    And I wait for the "edit_common_attributes" job to finish
    And the product "boots" should not have the following values:
      | Info |
    And the product "sandals" should not have the following values:
      | Info |
    And the product "sneakers" should not have the following values:
      | Info |
    When I am on the products grid
    And I select rows boots, sandals and sneakers
    And I press the "Bulk actions" button
    And I choose the "Edit attributes values" operation
    And I display the Info attribute
    And I change the "Info" to "Extremely useful information"
    And I move on to the next step
    Then I should see validation tooltip "This value is too long. It should have 25 characters or less."
    And the product "boots" should not have the following values:
      | Info |
    And the product "sandals" should not have the following values:
      | Info |
    And the product "sneakers" should not have the following values:
      | Info |

  Scenario: Successfully mass edit a text attribute
    Given I select rows boots and sneakers
    And I press the "Bulk actions" button
    And I choose the "Edit attributes values" operation
    And I display the Comment attribute
    And I change the "Comment" to "Very nice comment"
    And I confirm mass edit
    And I wait for the "edit_common_attributes" job to finish
    Then attribute Comment of "boots" should be "Very nice comment"
    And attribute Comment of "sneakers" should be "Very nice comment"
    When I am on the products grid
    And I select rows boots, sandals and sneakers
    And I press the "Bulk actions" button
    And I choose the "Edit attributes values" operation
    And I display the Comment attribute
    And I confirm mass edit
    And I wait for the "edit_common_attributes" job to finish
    And the product "boots" should not have the following values:
      | Comment |
    And the product "sandals" should not have the following values:
      | Comment |
    And the product "sneakers" should not have the following values:
      | Comment |
    When I am on the products grid
    And I select rows boots, sandals and sneakers
    And I press the "Bulk actions" button
    And I choose the "Edit attributes values" operation
    And I display the Comment attribute
    And I change the Comment to an invalid value
    And I move on to the next step
    Then I should see validation tooltip "This value is too long. It should have 255 characters or less."
    And the product "boots" should not have the following values:
      | Comment |
    And the product "sandals" should not have the following values:
      | Comment |
    And the product "sneakers" should not have the following values:
      | Comment |
